package de.ivu.elect.business.gebietsbaum.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class StrasseneintragProperties
{

private final Strasseneintrag entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  hausnummernbereichProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  postleitzahlProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  strassennameProperty;

        
    

public StrasseneintragProperties(Strasseneintrag entity) {
this.entity = entity;

}

private static StrasseneintragMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( StrasseneintragMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getHausnummernbereichProperty() {
        if (hausnummernbereichProperty == null) {
        hausnummernbereichProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getHausnummernbereichEinzahlMessage(),
        getMetaData().getHausnummernbereichDefaultValue(),
        getMetaData().isHausnummernbereichRequired(),
                entity::setHausnummernbereich,
        entity::getHausnummernbereich

                    , 0 ,
            de.ivu.elect.business.gebietsbaum.entity.StrasseneintragConstants.HAUSNUMMERNBEREICH_MAX_LENGTH
                );

        }


        return hausnummernbereichProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getPostleitzahlProperty() {
        if (postleitzahlProperty == null) {
        postleitzahlProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getPostleitzahlEinzahlMessage(),
        getMetaData().getPostleitzahlDefaultValue(),
        getMetaData().isPostleitzahlRequired(),
                entity::setPostleitzahl,
        entity::getPostleitzahl

                    , 0 ,
            de.ivu.elect.business.gebietsbaum.entity.StrasseneintragConstants.POSTLEITZAHL_MAX_LENGTH
                );

        }


        return postleitzahlProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getStrassennameProperty() {
        if (strassennameProperty == null) {
        strassennameProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getStrassennameEinzahlMessage(),
        getMetaData().getStrassennameDefaultValue(),
        getMetaData().isStrassennameRequired(),
                entity::setStrassenname,
        entity::getStrassenname

                    ,  1 ,
            de.ivu.elect.business.gebietsbaum.entity.StrasseneintragConstants.STRASSENNAME_MAX_LENGTH
                );

        }


        return strassennameProperty;
        }





        
        }